Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.music
Class QTMIDIPort

    java.lang.Object
      |
      +--quicktime.util.QTByteObject
            |
            +--quicktime.std.music.SynthesizerConnections
                  |
                  +--quicktime.std.music.QTMIDIPort

All Implemented Interfaces:
  java.lang.Cloneable, quicktime.jdirect.PrimitivesLib, java.io.Serializable, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class QTMIDIPort
extends SynthesizerConnections

Provides information about the port used by the QuickTime synthesizer.

See Also:
  Serialized Form

Field Summary
`static int` | `kNativeSize` This is the size (the number of bytes) that are required for this class

Fields inherited from interface quicktime.jdirect.PrimitivesLib
`JDirect_MacOSX, libraryInstance`

Method Summary
`java.lang.Object` | `clone()` Return a copy of this object.
`java.lang.String` | `getPortName()` Return the name of the output port.
`void` | `setPortName(java.lang.String name)` Set the name of the output port.

Methods inherited from class quicktime.std.music.SynthesizerConnections
`getClientID, getFlags, getInputID, getMIDIChannel, getOutputID, getSoundBankFile, getUniqueID, setClientID, setFlags, setInputID, setMIDIChannel, setOutputID, setSoundBankFile, setUniqueID, toString`

Methods inherited from class quicktime.util.QTByteObject
`equals, fromArray, getBytes, getSize`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### kNativeSize

    public static final int kNativeSize

  This is the size (the number of bytes) that are required for this class

Method Detail

### getPortName

    public java.lang.String getPortName()
                                 throws UtilException

  Return the name of the output port.

### setPortName

    public void setPortName(java.lang.String name)
                     throws UtilException

  Set the name of the output port.

### clone

    public java.lang.Object clone()

  Return a copy of this object.
  Overrides:
    `clone` in class `SynthesizerConnections`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD